const btn1 = document.querySelector('#button');
btn1.addEventListener('click',function (){
   Notification.requestPermission()
    .then(resultado=>console.log('El resultado es '+resultado)) 
    // si acepto: El resultado es granted    
    // si denego: El resultado es denied
});

if (Notification.permission == 'granted') {
    new Notification('Esta es una notificación para el usuario',{
        body:'Codigo con Brown'
    })
}